### Classes and interfaces

# Net_SSH2¶

Pure-PHP implementation of SSHv2.

« More »

### Constants

## $value

    $value

## NET_SSH2_CHANNEL_EXEC

    NET_SSH2_CHANNEL_EXEC

## NET_SSH2_CHANNEL_SHELL

    NET_SSH2_CHANNEL_SHELL

## Returns the message content

    NET_SSH2_LOG_COMPLEX

## Returns the message numbers

    NET_SSH2_LOG_SIMPLE

## NET_SSH2_MASK_CONSTRUCTOR

    NET_SSH2_MASK_CONSTRUCTOR

## NET_SSH2_MASK_LOGIN

    NET_SSH2_MASK_LOGIN

## NET_SSH2_MASK_SHELL

    NET_SSH2_MASK_SHELL

## Returns when a string matching the regular expression $expect is found

    NET_SSH2_READ_REGEX

## Returns when a string matching $expect exactly is found

    NET_SSH2_READ_SIMPLE